#menu-page{
    flex-direction: column;
    align-items: center;
}
#header-menu{
    display: flex;
    justify-content: center;
    padding-left: 3px;
    padding-right: 5px;
    background-color: #f0f8ff30;
    border-radius: 5px;
    height: 80px;
}
#header-menu-left{
    display: flex;
    align-items: center;
    padding-left: 30px;
}
#header-menu-right{
    display: flex;
    padding-right: 8px;
    flex-direction: column;
    padding-left: 15px;
    justify-content: center;
    align-items: flex-end;
}
#header-menu-right div{
    display: flex;
}
#play-button{
    font-size: 25px;
    padding: 5px;
}
#menu-middle-block{
    display: flex;
    justify-content: center;
    min-height: 300px;
    flex-direction: column;
}

#menu-scene-container{
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    max-width: 1200px;
    width: 100%;
}
#rooms-list{
    border-radius: 0px 0px 10px 10px;
    margin-top: -2px;
    background-color: white;
    display: flex;
    flex-direction: column;
    padding-bottom: 10px;
    height: 450px;
    overflow-y: auto;
    padding-top: 10px;
}
.rooms-info{
    display: flex;
    /* min-width: 320px; */
    justify-content: space-between;
    margin-top: 2px;
}
.rooms-info .div-1{
    width: 30px;
}
.rooms-info .div-2{
    width: 35px;
}
.rooms-info .div-3{
    width: 50px;
}
.rooms-info .div-4{
    width: 100px; 
}
.rooms-info .div-5{
    width: 60px;
}
.rooms-info div p{
    text-align: center;
}
.rooms-info:hover{
    background-color: #f1f1f18c;
}
.rooms-info div p{
    font-family: system-ui;
}
.rooms-info div button{
    border: 1px solid #80808073;
    border-radius: 10px;
    padding: 4px 9px;
    background: none;
    cursor: pointer;
}
.rooms-info div button:hover{
    border: 1px solid #0d4663;
}
.ava-button{
    border: none;
    background: none;
    cursor: pointer;
}
.ava-button:hover{
    background: lab(54 0 -0.01 / 0.2);
    border-radius: 10px;
}
.popup-ava {
    position: absolute;
    width: 200px;
    background: white; 
    border: 1px solid #ccc;
    border-radius: 8px;
    box-shadow: 0 2px 8px rgba(0,0,0,0.2);
    z-index: 1000;
}
.popup-ava-header {
    display: flex;
    justify-content: flex-end;
    padding: 4px 8px;
    border-bottom: 1px solid #eee;
}
.close-ava-popup {
    cursor: pointer;
    background: none;
    border: none;
    font-size: 18px;
}
.avatar-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 8px;
    padding: 10px;
    max-height: 180px;    /* фикс. высота -> прокрутка */
    overflow-y: auto;
}
.grid-avatar {
    width: 100%;
    aspect-ratio: 1;
    object-fit: cover;
    border-radius: 8px;
    cursor: pointer;
}
.add-btn {
    display: block;
    width: calc(100% - 20px);
    margin: 0 10px 10px 10px;
    padding: 4px;
    text-align: center;
    cursor: pointer;
}
#swiss-button-block{
    /* display: flex; */
    background-color: #ffffff;
    min-height: 100px;
    margin-top: 15px;
    border-radius: 10px;
    padding-bottom: 10px;
}
#swiss-button-block button{
    float: right;
    margin-right: 25px;
    background: none;
    border-radius: 4px;
    border: 1px solid #5f5f5f;
    padding: 3px 3px;
    cursor: pointer;
    font-size: 15px;
    /* color: #373793; */
    padding-left: 8px;
    margin-top: 5px;
}
#swiss-button-block button:hover{
    background-color: #ffd2b29e;
}
.room-title{
    margin-top: 15px;
}
#swiss-button-block .title{
    margin-left: 20px;
    margin-top: 10px;
    font-size: 18px;
    font-family: sans-serif;
    color: #0d4663;
}
#swiss-button-block .title-2{
    margin-left: 20px;
    margin-top: 10px;
    font-size: 15px;
    font-family: sans-serif;
}
#swiss-button-block p span{
    color: rgb(0 0 0 / 65%);
    /* font-weight: 700; */
}
#rooms-list-header{
    background-color: white;
    display: flex;
    justify-content: space-between;
    padding-bottom: 5px;
    padding-top: 8px;
}
#rooms-list-header div p{
    text-align: center;
    font-size: 13px;
    font-family: system-ui;
}
#rooms-list-header .div-1{
    width: 30px;
}
#rooms-list-header .div-2{
    width: 35px;
}
#rooms-list-header .div-3{
    width: 50px;
}
#rooms-list-header .div-4{
    width: 100px; 
}
#rooms-list-header .div-5{
    width: 60px;
}
#menu-middle-block .room-title span{
    font-weight: 500;
}
#ava-menu{
    display: grid;
    width: 80px;
}
#ava-menu > img{
    grid-area: 1 / 1 / 2 / 2;
    width: 100%;
    height: auto;
}
#shop-button-block{
    margin-top: 15px;
}
#shop-button-block button{
    background-color: #3a7d42;
    background-image: repeating-linear-gradient(45deg, rgba(0, 0, 0, 0.05) 0px, rgba(0, 0, 0, 0.05) 1px, transparent 1px, transparent 12px), linear-gradient(135deg, #097f2f12, #2b824c, #1f6939);
    border: none;
    font-size: 20px;
    color: white;
    padding: 5px;
    border-radius: 5px;
    cursor: pointer;
}
#shop-button-block button:hover{
    background-color: #3a7d424a;
}

#header-menu-right div img.money-icon{
    margin-right: -5px;
}
#header-menu-right div #bonus-window{
    position: absolute;
    background: white;
    border: 1px solid #ccc;
    border-radius: 8px;
    box-shadow: 0 2px 8px rgba(0, 0, 0, 0.2);
    z-index: 1000;
    margin-top: 35px;
    display: none;
}
#bonus-window div{
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 8px;
    display: none;
}
#bonus-window div p{
    font-family: sans-serif;
    font-size: 11px;
}
#bonus-window div button{
    padding: 1px 7px;
    border-radius: 7px;
    border: 1px solid #8080806b;
    cursor: pointer;
    color: white;
    text-shadow: 1px 1px black;
    margin-top: 5px;
    background-color: #666bff94;
    background-image: repeating-linear-gradient(45deg, rgba(0, 0, 0, 0.05) 0px, rgba(0, 0, 0, 0.05) 1px, transparent 1px, transparent 12px), linear-gradient(135deg, #097f2f12, #578ed1, #0c75cf3d);
}
.ava-icon-constructor{
    width: 20px;
    margin-right: -20px;
}
.group-icon{
    width: 18px;
    opacity: 0.7;
    margin-left: -16px;
}
#menu-money-icon{
    display: none;
}